﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 시리즈 애니메이션
        /// </summary>
        private SeriesAnimation seriesAnimation;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "SeriesAnimation 클래스 : 시리즈 애니메이션 사용하기";

            this.tChart.Panel.Pen      = new ChartPen(Color.Black);
            this.tChart.Legend.Visible = false;

            Bar bar = new Bar(this.tChart.Chart);

            bar.FillSampleValues();

            this.seriesAnimation = new SeriesAnimation(this.tChart.Chart);

            this.seriesAnimation.Series     = bar;
            this.seriesAnimation.DrawEvery  = 1;
            this.seriesAnimation.Steps      = 200;
            this.seriesAnimation.StartAtMin = false;
            this.seriesAnimation.StartValue = 0;

            this.animationButton.Click += animationButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 애니메이션 버튼 클릭시 처리하기 - animationButton_Click(sender, e)

        /// <summary>
        /// 애니메이션 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void animationButton_Click(object sender, EventArgs e)
        {
            this.seriesAnimation.Execute();
        }

        #endregion
    }
}